#pragma once
#include <map>
struct Fish_GiantSharkImmediateDecapitationData
{
	//ID
	int mID;
	//牌型名
	std::string mName;
	//最低牌型积分
	int mMinimumIntegral;
	//最高牌型积分
	int mMaximumIntegral;
	//前6次拆解权重
	int mDismantlingWeight;
	//第7次拆解权重
	int mLeopardWeight;
	//基础金币
	int mGold;
	//额外奖励物品ID
	int mAdditionalRewards;
	//奖励数量
	int mRewardCard;
	//显示牌型
	std::string mDisplayCardType;
};

class Fish_GiantSharkImmediateDecapitation
{
public:
private:
	static std::auto_ptr<Fish_GiantSharkImmediateDecapitation> msSingleton;
public:
	int GetCount();
	const Fish_GiantSharkImmediateDecapitationData* GetData(int ID);
	const std::map<int, Fish_GiantSharkImmediateDecapitationData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_GiantSharkImmediateDecapitation* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_GiantSharkImmediateDecapitationData> mMapData;
};
